import { h } from 'preact';
import getComponent from './utils/get-styled-component';
import omit from './utils/omit';

export const FullScreenOverlayWrapper = getComponent({
  baseClasses: 'fixed top-0 left-0 z-999 w-100 h-100 bg-gray flex items-center dark-blue'
});

export const FullScreenOverlay = props => h(
  FullScreenOverlayWrapper,
  omit(props, ['children']),
  h(
    'div',
    { className: 'center ph2 ph4-m' },
    props.children
  )
);